net.minecraft.client.mco

## Class McoClient

- java.lang.Object
- - net.minecraft.client.mco.McoClient

-     public class McoClient
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoClient(java.lang.String p_i45484_1_, java.lang.String p_i45484_2_, java.lang.String p_i45484_3_, java.net.Proxy p_i45484_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `func_148687_b()`
    `McoServerAddress` | `func_148688_b(long p_148688_1_)`
    `void` | `func_148689_a(long p_148689_1_, java.lang.String p_148689_3_, java.lang.String p_148689_4_, int p_148689_5_, int p_148689_6_)`
    `java.lang.String` | `func_148690_i()`
    `void` | `func_148691_a(java.lang.String p_148691_1_)`
    `java.lang.Boolean` | `func_148692_e(long p_148692_1_)`
    `WorldTemplateList` | `func_148693_e()`
    `void` | `func_148694_a(long p_148694_1_, java.lang.String p_148694_3_)`
    `java.lang.Boolean` | `func_148695_c()`
    `java.lang.Boolean` | `func_148696_e(long p_148696_1_, java.lang.String p_148696_3_)`
    `McoServer` | `func_148697_b(long p_148697_1_, java.lang.String p_148697_3_)`
    `void` | `func_148698_c(long p_148698_1_)`
    `java.lang.Boolean` | `func_148699_d(long p_148699_1_, java.lang.String p_148699_3_)`
    `java.lang.Boolean` | `func_148700_f(long p_148700_1_)`
    `int` | `func_148701_f()`
    `int` | `func_148702_d()`
    `ValueObjectList` | `func_148703_a()`
    `BackupList` | `func_148704_d(long p_148704_1_)`
    `ValueObjectSubscription` | `func_148705_g(long p_148705_1_)`
    `void` | `func_148706_b(java.lang.String p_148706_1_)`
    `void` | `func_148707_a(java.lang.String p_148707_1_, java.lang.String p_148707_2_)`
    `java.lang.String` | `func_148708_h(long p_148708_1_)`
    `McoServer` | `func_148709_a(long p_148709_1_)`
    `PendingInvitesList` | `func_148710_g()`
    `void` | `func_148712_c(long p_148712_1_, java.lang.String p_148712_3_)`
    `void` | `func_148714_h()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McoClient

          public McoClient(java.lang.String p_i45484_1_,
                   java.lang.String p_i45484_2_,
                   java.lang.String p_i45484_3_,
                   java.net.Proxy p_i45484_4_)

  - ### Method Detail

    - #### func_148703_a

          public ValueObjectList func_148703_a()
                                        throws ExceptionMcoService,
                                               java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148709_a

          public McoServer func_148709_a(long p_148709_1_)
                                  throws ExceptionMcoService,
                                         java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148688_b

          public McoServerAddress func_148688_b(long p_148688_1_)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### func_148707_a

          public void func_148707_a(java.lang.String p_148707_1_,
                           java.lang.String p_148707_2_)
                             throws ExceptionMcoService,
                                    java.io.UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `java.io.UnsupportedEncodingException`

    - #### func_148687_b

          public java.lang.Boolean func_148687_b()
                                          throws ExceptionMcoService,
                                                 java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148695_c

          public java.lang.Boolean func_148695_c()
                                          throws ExceptionMcoService,
                                                 java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148702_d

          public int func_148702_d()
                            throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148694_a

          public void func_148694_a(long p_148694_1_,
                           java.lang.String p_148694_3_)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148698_c

          public void func_148698_c(long p_148698_1_)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148697_b

          public McoServer func_148697_b(long p_148697_1_,
                                java.lang.String p_148697_3_)
                                  throws ExceptionMcoService,
                                         java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148704_d

          public BackupList func_148704_d(long p_148704_1_)
                                   throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148689_a

          public void func_148689_a(long p_148689_1_,
                           java.lang.String p_148689_3_,
                           java.lang.String p_148689_4_,
                           int p_148689_5_,
                           int p_148689_6_)
                             throws ExceptionMcoService,
                                    java.io.UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `java.io.UnsupportedEncodingException`

    - #### func_148712_c

          public void func_148712_c(long p_148712_1_,
                           java.lang.String p_148712_3_)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148693_e

          public WorldTemplateList func_148693_e()
                                          throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148692_e

          public java.lang.Boolean func_148692_e(long p_148692_1_)
                                          throws ExceptionMcoService,
                                                 java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148700_f

          public java.lang.Boolean func_148700_f(long p_148700_1_)
                                          throws ExceptionMcoService,
                                                 java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148699_d

          public java.lang.Boolean func_148699_d(long p_148699_1_,
                                        java.lang.String p_148699_3_)
                                          throws ExceptionMcoService,
                                                 java.io.UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `java.io.UnsupportedEncodingException`

    - #### func_148696_e

          public java.lang.Boolean func_148696_e(long p_148696_1_,
                                        java.lang.String p_148696_3_)
                                          throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148705_g

          public ValueObjectSubscription func_148705_g(long p_148705_1_)
                                                throws ExceptionMcoService,
                                                       java.io.IOException

      Throws:
        `ExceptionMcoService`
        `java.io.IOException`

    - #### func_148701_f

          public int func_148701_f()
                            throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148710_g

          public PendingInvitesList func_148710_g()
                                           throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148691_a

          public void func_148691_a(java.lang.String p_148691_1_)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148708_h

          public java.lang.String func_148708_h(long p_148708_1_)
                                         throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148706_b

          public void func_148706_b(java.lang.String p_148706_1_)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148714_h

          public void func_148714_h()
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_148690_i

          public java.lang.String func_148690_i()
                                         throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`